Конечная точка API:
https://short.lionsurf.net/api/v1/links
Request example:
curl --location --request GET 'https://short.lionsurf.net/api/v1/links' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
searchsearch_bytitle for Название, alias for Псевдоним ссылки, url for URL-АДРЕС. Defaults to: title.status0 for Все, 1 for Актив, 2 for Просроченный, 3 for Отключить ссылку. Defaults to: 0.space_iddomain_idpixel_idsort_byid for Date created, clicks for Количество кликов, title for Название, alias for Псевдоним ссылки, url for URL-АДРЕС. Defaults to: id.sortdesc for Нисходящий, asc for Восходящий. Defaults to: desc.per_page10, 25, 50, 100. Defaults to: 10.Конечная точка API:
https://short.lionsurf.net/api/v1/links/{id}
Request example:
curl --location --request GET 'https://short.lionsurf.net/api/v1/links/{id}' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer {api_key}'
Конечная точка API:
https://short.lionsurf.net/api/v1/links
Request example:
curl --location --request POST 'https://short.lionsurf.net/api/v1/links' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}' \ --data-urlencode 'url={url}' \ --data-urlencode 'domain={id}'
urldomain_idaliaspasswordspace_idpixel_idsdisabled0 for Актив, 1 for Отключить ссылку. Defaults to: 0.privacy0 for Публичный, 1 for Частная, 2 for Пароль. Defaults to: 0.privacy_passwordprivacy set to 2.expiration_urlexpiration_dateexpiration_timeexpiration_clickstarget_type0 for Нет, 1 for Географическое положение, 2 for Платформа, 4 for Вращение.country[index][key]country[index][value]platform[index][key]iOS, Android, Windows, OS X, Linux, Ubuntu, Chrome OS.platform[index][value]language[index][key]language[index][value]rotation[index][value]Конечная точка API:
https://short.lionsurf.net/api/v1/links/{id}
Request example:
curl --location --request PUT 'https://short.lionsurf.net/api/v1/links/{id}' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}' \ --data-urlencode 'url={url}'
urlaliaspasswordspace_idpixel_idsdisabled0 for Актив, 1 for Отключить ссылку.privacy0 for Публичный, 1 for Частная, 2 for Пароль.privacy_passwordprivacy set to 2.expiration_urlexpiration_dateexpiration_timeexpiration_clickstarget_type0 for Нет, 1 for Географическое положение, 2 for Платформа, 4 for Вращение.country[index][key]country[index][value]platform[index][key]iOS, Android, Windows, OS X, Linux, Ubuntu, Chrome OS.platform[index][value]language[index][key]language[index][value]rotation[index][value]Конечная точка API:
https://short.lionsurf.net/api/v1/links/{id}
Request example:
curl --location --request DELETE 'https://short.lionsurf.net/api/v1/links/{id}' \ --header 'Authorization: Bearer {api_key}'